Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedRole Class Reference

CreatedRole value object visitor. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedRole:

## Public Member Functions
| visit (Visitor $visitor, Generator $generator, $data)
| Visit struct returned by controllers. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\User\Role
| getPolicies ()
| Returns the list of policies of this role. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Public Attributes inherited from eZ\Publish\API\Repository\Values\User\Role
const | STATUS_DEFINED = 0
const | STATUS_DRAFT = 1
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...
Protected Attributes inherited from eZ\Publish\API\Repository\Values\User\Role
| $id
| $identifier
| $status

## Detailed Description

CreatedRole value object visitor.

Todo:
  coverage add unit test

Definition at line 17 of file Output/ValueObjectVisitor/CreatedRole.php.

## Member Function Documentation

## ◆ visit()

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedRole::visit | ( | Visitor | $visitor,
|  | Generator | $generator,
|  |  | $data
| ) |  |

Visit struct returned by controllers.

Parameters

  \eZ\Publish\Core\REST\Common\Output\Visitor | $visitor |
  \eZ\Publish\Core\REST\Common\Output\Generator | $generator |
  \eZ\Publish\Core\REST\Server\Values\CreatedRole | $data |

Definition at line 26 of file Output/ValueObjectVisitor/CreatedRole.php.

References eZ\Publish\Core\REST\Common\Output\Visitor\setHeader(), and eZ\Publish\Core\REST\Common\Output\Visitor\setStatus().

The documentation for this class was generated from the following file:

- Output/ValueObjectVisitor/CreatedRole.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.